<section
  class="my-mapset-form"
  *ngIf="vm$ | async as vm"
>
  <form
    class="form"
    [formGroup]="vm.mapsetFormGroup"
  >
    <!-- Accordion -->
    <jds-bi-accordion
      id="accordion-mapset-create"
      #acc="jdsBiAccordion"
      [destroyOnHide]="false"
      [closeOthers]="true"
      [activeIds]="'accordion-mapset-create-information'"
      [colorScheme]="colorScheme"
      [ngClass]="['accordion-mapset-create']"
    >
      <!-- Panel Informasi -->
      <jds-bi-panel id="accordion-mapset-create-information">
        <ng-template jdsBiPanelTitle>
          <div
            [ngClass]="[jds.fs(18), jds.p(20)]"
            [style.width.%]="100"
            (click)="panelCollapse('accordion-mapset-create-information')"
          >
            <h6>Informasi Mapset</h6>
          </div>
        </ng-template>
        <ng-template jdsBiPanelContent>
          <div [ngClass]="[jds.p(20)]">
            <!-- Judul -->
            <div
              *ngrxLet="f.info_name; let iName"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Judul Mapset Geospasial
                <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: Sebaran Desa Digital"
                formControlName="info_name"
              />
              <ng-container
                *ngIf="iName?.invalid && (iName?.dirty || iName?.touched)"
              >
                <div
                  *ngIf="iName?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
                <div
                  *ngIf="iName?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>

            <!-- Deskripsi -->
            <div
              *ngrxLet="f.info_description; let iDescription"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Deskripsi
                <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <ckeditor
                class="ck-satudata"
                [ngClass]="jds.fs(14)"
                [editor]="Editor"
                [config]="EditorConfig"
                formControlName="info_description"
              />
              <ng-container
                *ngIf="
                  iDescription?.invalid &&
                  (iDescription?.dirty || iDescription?.touched)
                "
              >
                <div
                  *ngIf="iDescription?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Skala -->
            <div
              *ngrxLet="f.info_scale; let iScale"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Skala
                <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: 1:250.000"
                formControlName="info_scale"
              />
              <ng-container
                *ngIf="iScale?.invalid && (iScale?.dirty || iScale?.touched)"
              >
                <div
                  *ngIf="iScale?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
                <div
                  *ngIf="iScale?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>

            <!-- Topik -->
            <div
              *ngrxLet="f.info_topic; let iTopic"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Topik <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <ng-container *ngIf="vm.listTopicSatuPeta as listTopicSatuPeta">
                <ng-select
                  #mapsetTopicSelect
                  [items]="
                    listTopicSatuPeta.isSuccess
                      ? listTopicSatuPeta.data.list
                      : []
                  "
                  bindLabel="name"
                  placeholder="Pilih topik"
                  formControlName="info_topic"
                />
              </ng-container>
              <ng-container
                *ngIf="iTopic?.invalid && (iTopic?.dirty || iTopic?.touched)"
              >
                <div
                  *ngIf="iTopic?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Klasifikasi -->
            <div
              *ngrxLet="f.info_classification; let iClassification"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Klasifikasi <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <ng-container *ngIf="vm.listClassification as listClass">
                <ng-select
                  #classificationSelect
                  [items]="listClass.isSuccess ? listClass.data.list : []"
                  (ngModelChange)="onSelectedClassification($event)"
                  (clear)="onClearClassification()"
                  bindLabel="name"
                  placeholder="Pilih klasifikasi"
                  formControlName="info_classification"
                />
              </ng-container>
              <ng-container
                *ngIf="
                  iClassification?.invalid &&
                  (iClassification?.dirty || iClassification?.touched)
                "
              >
                <div
                  *ngIf="iClassification?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Organisasi yang diberi Akses -->
            <ng-container *ngIf="isClassificationAccess">
              <div
                *ngrxLet="
                  f.info_classification_access;
                  let iClassificationAccess
                "
                [ngClass]="jds.mb(16)"
              >
                <label [ngClass]="jds.formLabel">
                  Organisasi yang diberi Akses
                  <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ng-container
                  *ngIf="vm.listOrganizationSatuPeta as listOrgSatuPeta"
                >
                  <ng-select
                    #organizationSelect
                    [items]="
                      listOrgSatuPeta.isSuccess ? listOrgSatuPeta.data.list : []
                    "
                    [multiple]="true"
                    bindLabel="nama_skpd"
                    placeholder="Pilih organisasi yang diberi akses"
                    formControlName="info_classification_access"
                  >
                    <ng-template
                      ng-option-tmp
                      let-item="item"
                      let-item$="item$"
                      let-index="index"
                    >
                      <div [ngClass]="[jds.formCheck]">
                        <input
                          id="item-{{ index }}"
                          [ngClass]="[jds.formCheckInput]"
                          [ngModel]="item$.selected"
                          [ngModelOptions]="{ standalone: true }"
                          type="checkbox"
                          name="selectCheckbox"
                        />
                        <label
                          [ngClass]="[jds.formCheckLabel]"
                          for="item-{{ index }}"
                        >
                          {{ item.nama_skpd }}
                        </label>
                      </div>
                    </ng-template>
                    <ng-template
                      ng-label-tmp
                      let-item="item"
                      let-clear="clear"
                    >
                      <span class="ng-value-label">{{ item.nama_skpd }}</span>
                      <span
                        class="ng-value-icon right"
                        (click)="clear(item)"
                        aria-hidden="true"
                      >
                        ×
                      </span>
                    </ng-template>
                  </ng-select>
                </ng-container>
                <ng-container
                  *ngIf="
                    iClassificationAccess?.invalid &&
                    (iClassificationAccess?.dirty ||
                      iClassificationAccess?.touched)
                  "
                >
                  <div
                    *ngIf="iClassificationAccess?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>
            </ng-container>

            <!-- Status Data -->
            <div
              *ngrxLet="f.info_status_data; let iStatusData"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Status Data
                <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <div>
                <div [ngClass]="[jds.formCheck, jds.formCheckInline]">
                  <input
                    [ngClass]="[jds.formCheckInput]"
                    value="false"
                    type="radio"
                    formControlName="info_status_data"
                  />
                  <label [ngClass]="[jds.formCheckLabel]"> Sementara </label>
                </div>
                <div [ngClass]="[jds.formCheck, jds.formCheckInline]">
                  <input
                    [ngClass]="[jds.formCheckInput]"
                    value="true"
                    type="radio"
                    formControlName="info_status_data"
                  />
                  <label [ngClass]="[jds.formCheckLabel]"> Tetap </label>
                </div>
              </div>
              <ng-container
                *ngIf="
                  iStatusData?.invalid &&
                  (iStatusData?.dirty || iStatusData?.touched)
                "
              >
                <div
                  *ngIf="iStatusData?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Program -->
            <div
              *ngrxLet="f.info_program; let iProgram"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel"> Program </label>
              <ng-container *ngIf="vm.listMapsetProgram as listMapsetProgram">
                <ng-select
                  #mapsetProgramSelect
                  [items]="
                    listMapsetProgram.isSuccess
                      ? listMapsetProgram.data.list
                      : []
                  "
                  bindLabel="name"
                  placeholder="Pilih program"
                  formControlName="info_program"
                />
              </ng-container>
            </div>

            <!-- Regional -->
            <ng-container *ngIf="satudataUser.role_name === 'walidata'">
              <div
                *ngrxLet="f.info_regional; let iRegional"
                [ngClass]="jds.mb(16)"
              >
                <label [ngClass]="jds.formLabel">
                  Regional <span [ngClass]="jds.text('danger')">*</span>
                </label>
                <ng-container *ngIf="vm.listRegional as listRegional">
                  <ng-select
                    #regionalSelect
                    [items]="
                      listRegional.isSuccess ? listRegional.data.list : []
                    "
                    (change)="onSelectedRegional($event)"
                    (clear)="onClearRegional()"
                    bindLabel="nama_kemendagri"
                    placeholder="Pilih regional"
                    formControlName="info_regional"
                  />
                </ng-container>
                <ng-container
                  *ngIf="
                    iRegional?.invalid &&
                    (iRegional?.dirty || iRegional?.touched)
                  "
                >
                  <div
                    *ngIf="iRegional?.errors.required"
                    [ngClass]="[jds.formText, jds.text('danger')]"
                  >
                    Harus diisi
                  </div>
                </ng-container>
              </div>
            </ng-container>

            <!-- Regional Province -->
            <ng-container *ngIf="f.info_regional_type.value === 'province'">
              <!-- Organisasi Penanggung Jawab -->
              <ng-container *ngIf="satudataUser.role_name === 'walidata'">
                <div
                  *ngrxLet="f.info_organization; let iOrganization"
                  [ngClass]="jds.mb(16)"
                >
                  <label [ngClass]="jds.formLabel">
                    Organisasi Penanggung Jawab
                    <span [ngClass]="jds.text('danger')">*</span>
                  </label>
                  <ng-container
                    *ngIf="vm.listOrganizationSatuPeta as listOrgSatuPeta"
                  >
                    <ng-select
                      #organizationSelect
                      [items]="
                        listOrgSatuPeta.isSuccess
                          ? listOrgSatuPeta.data.list
                          : []
                      "
                      (change)="onSelectedOrganization($event)"
                      (clear)="onClearOrganization()"
                      bindLabel="nama_skpd"
                      placeholder="Pilih organisasi"
                      formControlName="info_organization"
                    >
                    </ng-select>
                  </ng-container>
                  <ng-container
                    *ngIf="
                      iOrganization?.invalid &&
                      (iOrganization?.dirty || iOrganization?.touched)
                    "
                  >
                    <div
                      *ngIf="iOrganization?.errors.required"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Harus diisi
                    </div>
                  </ng-container>
                </div>
              </ng-container>

              <!-- Bidang Organisasi Penanggung Jawab -->
              <div
                *ngrxLet="f.info_organization_sub; let iOrganizationSub"
                [ngClass]="jds.mb(16)"
              >
                <label [ngClass]="jds.formLabel">
                  Bidang Organisasi Penanggung Jawab
                </label>
                <ng-select
                  #organizationSelect
                  [items]="
                    vm.listOrganizationSub && vm.listOrganizationSub.isSuccess
                      ? vm.listOrganizationSub.data.list
                      : []
                  "
                  (change)="onSelectedOrganizationSub($event)"
                  (clear)="onClearOrganizationSub()"
                  bindLabel="nama_skpdsub"
                  placeholder="Pilih bidang organisasi"
                  formControlName="info_organization_sub"
                >
                </ng-select>
              </div>

              <!-- Seksi Organisasi Penanggung Jawab -->
              <div
                *ngrxLet="f.info_organization_unit; let iOrganizationUnit"
                [ngClass]="jds.mb(16)"
              >
                <label [ngClass]="jds.formLabel">
                  Seksi Organisasi Penanggung Jawab
                </label>
                <ng-select
                  #organizationSelect
                  [items]="
                    vm.listOrganizationUnit && vm.listOrganizationUnit.isSuccess
                      ? vm.listOrganizationUnit.data.list
                      : []
                  "
                  bindLabel="nama_skpdunit"
                  placeholder="Pilih seksi organisasi"
                  formControlName="info_organization_unit"
                >
                </ng-select>
              </div>
            </ng-container>

            <!-- Regional County -->
            <ng-container *ngIf="satudataUser.role_name === 'walidata'">
              <ng-container *ngIf="f.info_regional_type.value === 'county'">
                <!-- Organisasi Penanggung Jawab -->
                <div
                  *ngrxLet="f.info_organization_county; let iOrganizationCounty"
                  [ngClass]="jds.mb(16)"
                >
                  <label [ngClass]="jds.formLabel">
                    Organisasi Penanggung Jawab
                  </label>
                  <input
                    [colorScheme]="colorScheme"
                    jdsBiInput
                    type="text"
                    placeholder="Contoh: Dinas Komunikasi dan Informatika"
                    formControlName="info_organization_county"
                  />
                  <ng-container
                    *ngIf="
                      iOrganizationCounty?.invalid &&
                      (iOrganizationCounty?.dirty ||
                        iOrganizationCounty?.touched)
                    "
                  >
                    <div
                      *ngIf="iOrganizationCounty?.errors.maxlength"
                      [ngClass]="[jds.formText, jds.text('danger')]"
                    >
                      Panjang maksimal 255 karakter.
                    </div>
                  </ng-container>
                </div>
              </ng-container>
            </ng-container>

            <!-- Alamat -->
            <div
              *ngrxLet="f.info_organization_address; let iOrganizationAddress"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel"> Alamat </label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: Jl. Tamansari No.55 Kelurahan Lebak Siliwangi Kecamatan Coblong Bandung 40132"
                formControlName="info_organization_address"
              />
            </div>

            <!-- Telepon -->
            <div
              *ngrxLet="f.info_organization_phone; let iOrganizationPhone"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel"> Telepon </label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: 022-7203xxx"
                formControlName="info_organization_phone"
              />
              <ng-container
                *ngIf="
                  iOrganizationPhone?.invalid &&
                  (iOrganizationPhone?.dirty || iOrganizationPhone?.touched)
                "
              >
                <div
                  *ngIf="iOrganizationPhone?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>

            <!-- Email -->
            <div
              *ngrxLet="f.info_organization_email; let iOrganizationEmail"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel"> Email </label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: diskominfojabar@jabarprov.go.id"
                formControlName="info_organization_email"
              />
              <ng-container
                *ngIf="
                  iOrganizationEmail?.invalid &&
                  (iOrganizationEmail?.dirty || iOrganizationEmail?.touched)
                "
              >
                <div
                  *ngIf="iOrganizationEmail?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>

            <!-- Status Aktif -->
            <div
              *ngrxLet="f.info_status; let iStatus"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel"> Status Aktif </label>
              <div [ngClass]="[jds.d('flex'), jds.formCheck, jds.formSwitch]">
                <input
                  [ngClass]="[jds.formCheckInput]"
                  type="checkbox"
                  formControlName="info_status"
                />
              </div>
            </div>

            <!-- Mapset Geospasial Populer -->
            <div
              *ngrxLet="f.info_popular; let iPopular"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Mapset Geospasial Populer
              </label>
              <div [ngClass]="[jds.d('flex'), jds.formCheck, jds.formSwitch]">
                <input
                  [ngClass]="[jds.formCheckInput]"
                  type="checkbox"
                  formControlName="info_popular"
                />
              </div>
            </div>
          </div>
        </ng-template>
      </jds-bi-panel>

      <!-- Panel Metadata -->
      <jds-bi-panel id="accordion-mapset-create-metadata">
        <ng-template jdsBiPanelTitle>
          <div
            [ngClass]="[jds.fs(18), jds.p(20)]"
            [style.width.%]="100"
            (click)="panelCollapse('accordion-mapset-create-metadata')"
          >
            <h6>Metadata</h6>
          </div>
        </ng-template>
        <ng-template jdsBiPanelContent>
          <div [ngClass]="[jds.p(20)]">
            <!-- Sumber Data -->
            <div
              *ngrxLet="f.meta_mapset_source; let mMapsetSource"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Sumber Data <span [ngClass]="jds.text('danger')">*</span>
              </label>
              @if (vm.listMapsetSource; as listMapsetSource) {
                <ng-select
                  #mapsetSourceSelect
                  [items]="
                    listMapsetSource.isSuccess ? listMapsetSource.data.list : []
                  "
                  (change)="onSelectedSource($event)"
                  (clear)="onClearSource()"
                  bindLabel="name"
                  placeholder="Pilih sumber data"
                  formControlName="meta_mapset_source"
                />
              }

              @if (
                mMapsetSource?.invalid &&
                (mMapsetSource?.dirty || mMapsetSource?.touched)
              ) {
                @if (mMapsetSource?.errors?.['required']) {
                  <div [ngClass]="[jds.formText, jds.text('danger')]">
                    Harus diisi
                  </div>
                }
              }
            </div>

            <!-- Mapservice -->
            @if (f.meta_mapset_source.value; as mapsetSource) {
              <div
                *ngrxLet="f.meta_mapservice; let mMapservice"
                [ngClass]="jds.mb(16)"
              >
                <label [ngClass]="jds.formLabel">Mapservice</label>

                @if (mapsetSource.id === mapsetSourceArcgis) {
                  <!-- Mapservice ArcGIS -->
                  <input
                    [colorScheme]="colorScheme"
                    jdsBiInput
                    #mapserviceArcGISInput
                    type="text"
                    placeholder="Masukan tautan"
                    formControlName="meta_mapservice_url"
                  />
                }

                @if (mapsetSource.id === mapsetSourceGeoserver) {
                  <!-- Mapservice Geoserver -->
                  @if (vm.listMapsetGeoserver; as listMapsetGeoserver) {
                    <ng-select
                      #mapsetGeoserverSelect
                      [items]="
                        listMapsetGeoserver.isSuccess
                          ? listMapsetGeoserver.data.list
                          : []
                      "
                      [loading]="listMapsetGeoserver.isLoading"
                      (change)="onSelectedGeoserver($event)"
                      (clear)="onClearGeoserver()"
                      bindLabel="title"
                      placeholder="Pilih mapservice geoserver"
                      formControlName="meta_mapservice"
                    />

                    @if (
                      mMapservice?.invalid &&
                      (mMapservice?.dirty || mMapservice?.touched)
                    ) {
                      @if (mMapservice?.errors?.['mapservice']) {
                        <div [ngClass]="[jds.formText, jds.text('danger')]">
                          Upload File SHP gagal.
                        </div>
                      }
                    }

                    @if (
                      mapsetMapserviceInvalid !== null &&
                      !mapsetMapserviceInvalid
                    ) {
                      <div [ngClass]="[jds.formText, jds.text('success')]">
                        Upload File SHP berhasil.
                      </div>
                    }
                  }
                }
              </div>
            }

            <!-- Metadata XML -->
            <div
              *ngrxLet="f.meta_file_xml; let mMetadataFileXML"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">Metadata XML</label>
              @if (
                vm.listMapsetGeonetworkMetadata;
                as listMapsetGeonetworkMetadata
              ) {
                <ng-select
                  #mapsetGeonetworkMetadataSelect
                  [items]="
                    listMapsetGeonetworkMetadata.isSuccess
                      ? listMapsetGeonetworkMetadata.data.list
                      : []
                  "
                  [loading]="listMapsetGeonetworkMetadata.isLoading"
                  bindValue="url"
                  bindLabel="title"
                  placeholder="Pilih Geonetwork metadata"
                  formControlName="meta_file_xml"
                />
              }
            </div>

            <!-- Upload File ZIP -->
            <div [ngClass]="jds.mb(16)">
              <ng-container
                *ngIf="
                  f.meta_mapset_source.value?.id === mapsetSourceGeoserver;
                  else sourceNormal
                "
              >
                <label [ngClass]="jds.formLabel">File ZIP</label>
              </ng-container>
              <ng-template #sourceNormal>
                <label [ngClass]="jds.formLabel">Upload File ZIP</label>
                <input
                  [colorScheme]="colorScheme"
                  (change)="onUpload('meta_file_zip', $event)"
                  jdsBiInput
                  type="file"
                  accept=".zip"
                />
              </ng-template>
              <ng-container *ngIf="f.meta_file_zip.value">
                <a
                  [ngClass]="['t-link', jds.d('block'), jds.mt(4)]"
                  [style.cursor]="'pointer'"
                  (click)="onDownloadSHP()"
                >
                  <span>Download</span>
                  <jds-bi-icon
                    [ngClass]="[jds.ms(11)]"
                    [size]="14"
                    name="cloud-arrow-down"
                  />
                </a>
              </ng-container>
            </div>

            <!-- Tipe Mapset -->
            <div
              *ngrxLet="f.meta_mapset_type; let mMapsetType"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">
                Tipe Mapset
                <span [ngClass]="jds.text('danger')">*</span>
              </label>
              <ng-container *ngIf="vm.listMapsetType as listMapsetType">
                <ng-select
                  #mapsetTypeSelect
                  [items]="
                    listMapsetType.isSuccess ? listMapsetType.data.list : []
                  "
                  bindLabel="name"
                  placeholder="Pilih tipe mapset"
                  formControlName="meta_mapset_type"
                />
              </ng-container>
              <ng-container
                *ngIf="
                  mMapsetType?.invalid &&
                  (mMapsetType?.dirty || mMapsetType?.touched)
                "
              >
                <div
                  *ngIf="mMapsetType?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Cakupan Wilayah -->
            <div
              *ngrxLet="f.meta_area_coverage; let mMetadataAreaCoverage"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">Cakupan Wilayah</label>
              <ng-container
                *ngIf="vm.listMapsetAreaCoverage as listMapsetAreaCoverage"
              >
                <ng-select
                  #mapsetAreaCoverageSelect
                  [items]="
                    listMapsetAreaCoverage.isSuccess
                      ? listMapsetAreaCoverage.data.list
                      : []
                  "
                  bindLabel="name"
                  placeholder="Pilih cakupan wilayah"
                  formControlName="meta_area_coverage"
                />
              </ng-container>
              <ng-container
                *ngIf="
                  mMetadataAreaCoverage?.invalid &&
                  (mMetadataAreaCoverage?.dirty ||
                    mMetadataAreaCoverage?.touched)
                "
              >
                <div
                  *ngIf="mMetadataAreaCoverage?.errors.required"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Harus diisi
                </div>
              </ng-container>
            </div>

            <!-- Periode Update Data -->
            <div
              *ngrxLet="f.meta_period_update; let mMetadataPeriodUpdate"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">Periode Update Data</label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: 5 Tahun sekali"
                formControlName="meta_period_update"
              />
              <ng-container
                *ngIf="
                  mMetadataPeriodUpdate?.invalid &&
                  (mMetadataPeriodUpdate?.dirty ||
                    mMetadataPeriodUpdate?.touched)
                "
              >
                <div
                  *ngIf="mMetadataPeriodUpdate?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>

            <!-- Edisi/Versi Data -->
            <div
              *ngrxLet="f.meta_version; let mMetadataVersion"
              [ngClass]="jds.mb(16)"
            >
              <label [ngClass]="jds.formLabel">Edisi/Versi Data</label>
              <input
                [colorScheme]="colorScheme"
                jdsBiInput
                type="text"
                placeholder="Contoh: 2023"
                formControlName="meta_version"
              />
              <ng-container
                *ngIf="
                  mMetadataVersion?.invalid &&
                  (mMetadataVersion?.dirty || mMetadataVersion?.touched)
                "
              >
                <div
                  *ngIf="mMetadataVersion?.errors.maxlength"
                  [ngClass]="[jds.formText, jds.text('danger')]"
                >
                  Panjang maksimal 255 karakter.
                </div>
              </ng-container>
            </div>
          </div>
        </ng-template>
      </jds-bi-panel>
    </jds-bi-accordion>

    <div
      *ngIf="vm.isNote"
      [ngClass]="[jds.card, jds.mt(24)]"
    >
      <div [ngClass]="jds.cardBody">
        <div
          *ngrxLet="f.change; let change"
          [ngClass]="[jds.px(20), jds.py(10)]"
        >
          <label [ngClass]="jds.formLabel">
            Berikan informasi terkait perubahan yang dilakukan pada mapset ini
          </label>
          <div [ngClass]="[jds.alert, jds.alertPrimary, jds.mb(12)]">
            <div [ngClass]="[jds.d('flex')]">
              <div [ngClass]="jds.alertIcon">
                <jds-bi-icon
                  [ngClass]="jds.me(8)"
                  name="circle-info"
                />
              </div>
              <div>Contoh: Melakukan perubahan pada judul mapset.</div>
            </div>
          </div>
          <textarea
            [colorScheme]="colorScheme"
            jdsBiInput
            placeholder="Tuliskan catatan perubahan pada mapset disini"
            rows="5"
            formControlName="change"
          ></textarea>
          <ng-container
            *ngIf="change?.invalid && (change?.dirty || change?.touched)"
          >
            <div
              *ngIf="change?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
            <div
              *ngIf="change?.errors.minlength"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Panjang minimal 15 karakter.
            </div>
          </ng-container>
        </div>
      </div>
    </div>
  </form>
</section>
